Get Bank Branch
curl --request GET \
--url https://api.aries.com/v1/stock/bank-branch \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/stock/bank-branch"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/bank-branch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"branchId": "201601",
"address": "1910 E 95th St",
"state": "IL",
"zipCode": "60617",
"date": "2000-02-28"
}
],
"symbol": "JPM"
}
Stock Alternative
Bank Branch
Retrieve list of US bank branches for a given symbol (e.g. JPM). Includes branch identifiers, address, state, zip code, and date.
Use Case: Display branch locations for a bank stock or branch network analysis.
GET
/
v1
/
stock
/
bank-branch
Get Bank Branch
Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
symbol | string | Yes | Stock ticker symbol (e.g. JPM). |
Response
Success returns200 OK with a JSON object containing a data array of branch entries (e.g. branchId, address, state, zipCode, date), and symbol.
Errors: 400 when symbol is missing, 401 unauthorized, 404 when no data found, 500 server error.Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
Query Parameters
Stock ticker to query. Send the plain uppercase symbol exactly as you'd type it on a brokerage screen, e.g. AAPL, MSFT.
Example:
"AAPL"
Was this page helpful?